bio_endio
Prev | Other Functions | Next

## Name

bio_endio — end I/O on a bio

## Synopsis

`void bio_endio (` | struct bio * | bio,
| int | error`)`;

## Arguments

`bio`

  bio

`error`

  error, if any

## Description

`bio_endio` will end I/O on the whole bio. `bio_endio` is the preferred way to end I/O on a bio, it takes care of clearing BIO_UPTODATE on error. `error` is 0 on success, and and one of the established -Exxxx (-EIO, for instance) error values in case something went wrong. Noone should call `bi_end_io` directly on a bio unless they own it and thus know that it has an end_io function.

Prev | Up | Next
bio_map_kern | Home | seq_open